package com.jiuzhekan.cbkj.mapper.sysMapper;

import com.jiuzhekan.cbkj.beans.sysBeans.AdminRule;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

@Component
public interface AdminRuleMapper {
    int deleteByPrimaryKey(String rid);

    int insert(AdminRule record);

    int insertSelective(AdminRule record);

    AdminRule selectByPrimaryKey(String rid);

    int updateByPrimaryKeySelective(AdminRule record);

    int updateByPrimaryKey(AdminRule record);

    List<Map<String,Object>> getPageDatas(AdminRule adminRule);

    long getRuleRelesCount(String ids);

    long deleteRuleMenuByRid(String ids);

    long deleteRuleMenuByRids(String ids);

    List<AdminRule> getRepeatNameS(AdminRule adminRule);
}